mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.InteropServices.ComVisible(true)

A document is defined by a URL and a document type GUID. Using the document type GUID and the URL, you can locate the document. You can optionally store document source in the symbol store.

This interface also provides access to that source, if present.

This interface is the managed counterpart of the ISymUnmanagedDocument interface, one of the unmanaged symbol store interfaces that provide an alternative way to read and write debug symbol information.

Represents a document referenced by a symbol store.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added: an object of type 'Guid' To be added

  Gets the checksum algorithm identifier.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added: an object of type 'Guid' To be added

  Gets the type of the current document.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the closest line that is a sequence point, given a line in the current document that might or might not be a sequence point.

  The closest line that is a sequence point.

  The specified line in the document.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added

  Gets the checksum.

  The checksum.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` `` `` `` To be added

  Gets the embedded document source for the specified range.

  The document source for the specified range.

  The starting line in the current document. The starting column in the current document. The ending line in the current document. The ending column in the current document.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Checks whether the current document is stored in the symbol store.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added: an object of type 'Guid' To be added

  Gets the language of the current document.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added: an object of type 'Guid' To be added

  Gets the language vendor of the current document.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the length, in bytes, of the embedded source.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the URL of the current document.